package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Restaurants_asian_price extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.restaurants_asian_price); 
	
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final ImageButton azalia = (ImageButton) findViewById(R.id.azalia);
    azalia.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_azaliaActivity();
        }
    });
    
    final ImageButton buddha = (ImageButton) findViewById(R.id.buddha);
    buddha.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_buddhaActivity();
        }
    });
    
    final ImageButton warung = (ImageButton) findViewById(R.id.warung);
    warung.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_warungActivity();
        }
    });
    
    final ImageButton art_sushi = (ImageButton) findViewById(R.id.art_sushi);
    art_sushi.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_art_sushiActivity();
        }
    });
    
    final ImageButton sakana = (ImageButton) findViewById(R.id.sakana);
    sakana.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_sakanaActivity();
        }
    });
    
    final ImageButton zindo = (ImageButton) findViewById(R.id.zindo);
    zindo.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_zindoActivity();
        }
    });
    
    final ImageButton wok = (ImageButton) findViewById(R.id.wok);
    wok.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_wokActivity();
        }
    });
  
	}
	
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	 private void openTram_mapActivity() {
	    	startActivity(new Intent(this,Tram_map.class));
	    }
	    
	    private void openBus_mapActivity() {
	    	startActivity(new Intent(this,Bus_map.class));
	    }
	
	private void openR_azaliaActivity() {
    	startActivity(new Intent(this,R_azalia.class));
    }
	
	private void openR_buddhaActivity() {
    	startActivity(new Intent(this,R_buddha.class));
    }
	
	private void openR_warungActivity() {
    	startActivity(new Intent(this,R_warung.class));
    }

	private void openR_art_sushiActivity() {
    	startActivity(new Intent(this,R_art_sushi.class));
    }

	private void openR_sakanaActivity() {
    	startActivity(new Intent(this,R_sakana.class));
    }
	
	private void openR_zindoActivity() {
    	startActivity(new Intent(this,R_zindo.class));
    }
    
	private void openR_wokActivity() {
    	startActivity(new Intent(this,R_wok.class));
    }
}